Skip to main content
GET
Get a connection

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Resource identifier.

Example:

"2f1f35f4-4f50-44f3-a8ab-2772d395f0c2"

Response

OK

configName
string
required

Configuration name used to reference the connection.

Example:

"production-db"

createdAt
string<date-time>
required

Timestamp when the connection was created.

Example:

"2026-01-15T10:30:00Z"

databaseName
string
required

Connected database name.

Example:

"mydatabase"

host
string
required

Database server hostname or IP address.

Example:

"db.example.com"

id
string
required

Unique connection identifier.

Example:

"018f47a6-3e5f-7b9a-8c1d-2e3f4a5b6c7d"

port
integer<int64>
required

Database server TCP port.

Example:

5432

type
string
required

Database engine type.

Example:

"POSTGRESQL"

updatedAt
string<date-time>
required

Timestamp when the connection was last updated.

Example:

"2026-01-16T14:45:00Z"

userName
string
required

Database authentication username.

Example:

"dbuser"

metadata
object

Application-defined connection metadata.

Example:
productName
string

Product that owns the connection.

Example:

"midaz"

schema
string

Default database schema, when configured.

Example:

"public"

ssl
object

Configured SSL/TLS settings with secrets omitted.

Example: